Page MenuHomePhabricator

DomTree: remove explicit use of DomTreeNodeBase::iterator
ClosedPublic

Authored by nhaehnle on Jul 2 2020, 2:08 PM.

Details

Summary

Almost all uses of these iterators, including implicit ones, really
only need the const variant (as it should be). The only exception is
in NewGVN, which changes the order of dominator tree child nodes.

Change-Id: I4b5bd71e32d71b0c67b03d4927d93fe9413726d4

Diff Detail

Event Timeline

nhaehnle created this revision.Jul 2 2020, 2:08 PM
Herald added a reviewer: aartbik. · View Herald Transcript
Herald added projects: Restricted Project, Restricted Project, Restricted Project. · View Herald Transcript
arsenm accepted this revision.Jul 6 2020, 7:12 AM
This revision is now accepted and ready to land.Jul 6 2020, 7:12 AM
rriddle accepted this revision.Jul 6 2020, 7:06 PM

Approval for anything MLIR related.

kuhar accepted this revision.Jul 6 2020, 8:11 PM

LGTM modulo accidental formatting changes.

modulo accidental formatting changes.

I'm not aware of any. Some line breaks changed because "const_iterator" is longer than "iterator".

kuhar added a comment.Jul 8 2020, 8:40 AM

modulo accidental formatting changes.

I'm not aware of any. Some line breaks changed because "const_iterator" is longer than "iterator".

Ack.

This revision was automatically updated to reflect the committed changes.